org.keycloak.dom.saml.v2.assertion

## Class AuthnContextType.AuthnContextTypeSequence

- java.lang.Object
- - org.keycloak.dom.saml.v2.assertion.AuthnContextType.AuthnContextTypeSequence

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    AuthnContextType

      public class AuthnContextType.AuthnContextTypeSequence
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthnContextTypeSequence()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addURIType(URIType aa)`
    `void` | `addURIType(URIType[] aas)`
    `AuthnContextDeclType` | `getAuthnContextDecl()`
    `AuthnContextClassRefType` | `getClassRef()`
    `Set<URIType>` | `getURIType()`
    `void` | `removeURIType(URIType aa)`
    `void` | `setAuthnContextDecl(AuthnContextDeclType authnContextDecl)`
    `void` | `setClassRef(AuthnContextClassRefType classRef)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthnContextTypeSequence

          public AuthnContextTypeSequence()

  - ### Method Detail

    - #### getClassRef

          public AuthnContextClassRefType getClassRef()

    - #### setClassRef

          public void setClassRef(AuthnContextClassRefType classRef)

    - #### addURIType

          public void addURIType(URIType aa)

    - #### removeURIType

          public void removeURIType(URIType aa)

    - #### addURIType

          public void addURIType(URIType[] aas)

    - #### getURIType

          public Set<URIType> getURIType()

    - #### getAuthnContextDecl

          public AuthnContextDeclType getAuthnContextDecl()

    - #### setAuthnContextDecl

          public void setAuthnContextDecl(AuthnContextDeclType authnContextDecl)

Copyright © 2016 JBoss by Red Hat. All rights reserved.